//---------------------------------------------------------------------------

#ifndef RestoreProcess_FormH
#define RestoreProcess_FormH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>

#include "Environment.h"
#include "CGAUGES.h"
#include "TntForms.hpp"
#include "TntStdCtrls.hpp"
//---------------------------------------------------------------------------
class TRestoreProcessForm : public TTntForm
{
__published:	// IDE-managed Components
    TTntLabel *Label1;
    TTntLabel *Label2;
    TTntLabel *Label3;
    TTntLabel *Label4;
    TTntLabel *Label5;
    TTntLabel *CalculateRestoreSpaceLabel;
    TTntLabel *RestoreUserInfoLabel;
    TTntLabel *RestoreSystemInfoLabel;
    TTntLabel *RestoreProductInfoLabel;
    TTntLabel *RestoreDefectImageLabel;
	TTntGroupBox *ProductBackupProgressGroupBox;
	TTntLabel *Label6;
	TTntLabel *Label7;
	TCGauge *CGauge1;
	TTntLabel *ProductNameLabel;
	TTntButton *BreakButton;
  TTntLabel *TntLabel1;
  TTntLabel *RestoreAuditTrailLabel;
	void __fastcall BreakButtonClick(TObject *Sender);
private:	// User declarations
    TBackupContents BackupContents;
	AnsiString BackupDir;
	bool BreakActivate; 

    void __fastcall RestoreStart(void);
    void __fastcall CalculateRestoreSpace(void);
    bool __fastcall RestoreUserInfo(void);
	bool __fastcall RestoreSystemInfo(void);
	bool __fastcall RestoreProductInfo(void);
	bool __fastcall RestoreDefectImage(void);
	bool __fastcall RestoreAuditTrail(void);
    void __fastcall CopyDir(AnsiString destDir, AnsiString srcDir);
	void __fastcall RemoveWholeDir(AnsiString folderName);    
public:		// User declarations
    __fastcall TRestoreProcessForm(TComponent* Owner);
    int __fastcall Execute(AnsiString backupDir, TBackupContents backupContents);
};
//---------------------------------------------------------------------------
extern PACKAGE TRestoreProcessForm *RestoreProcessForm;
//---------------------------------------------------------------------------
#endif
